# Retrieve specific list of subscriptions

Use the **getSubscriptions** method to retrieve details about a specific list of your account’s subscriptions.

Subscriptions can be retrieved starting with 5 minutes after their orders are generated in the 2Checkout system.

## Request parameters

<table><thead><tr><th width="216.1334228515625">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in <strong>10 minutes</strong>.</td></tr><tr><td><code>subscriptionReference</code></td><td><strong>Required (array of strings)</strong><br>Unique, system-generated subscription identifier.</td></tr><tr><td><code>aggregate</code></td><td><p><strong>Required (boolean)</strong></p><ul><li><strong>true</strong> - search will work across all your aggregated 2Checkout accounts.</li><li><strong>false</strong> - default value. You limit the search to the account whose details you used for authentication.</li></ul></td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$subscriptionReferences = array('REFERENCE1', 'REFERENCE2', 'REFERENCE3');

$jsonRpcRequest = array (
'method' => 'getSubscriptions',
'params' => array($sessionID, $subscriptionReferences),
'id' => $i++,
'jsonrpc' => '2.0');

var_dump (callRPC((Object)$jsonRpcRequest, $host, true));
```

## Response parameters

<table><thead><tr><th width="159.5999755859375">Parameter</th><th>Type</th></tr></thead><tbody><tr><td><a href="/pages/4832d693039556476b2c8d99dbf87398de591237"><code>Subscription</code></a></td><td><strong>Array of objects</strong></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/subscription/retrieve-specific-list-of-subscriptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
